package net.wanji.web.service;

import net.wanji.databus.bo.CrossIdBO;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.web.dto.*;
import net.wanji.web.vo.PhaseListByTimeVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:14
 */
public interface PlanSendService {
    JsonViewObject scheduleSend(ScheduleIdDTO scheduleIdDTO);

    JsonViewObject schemeSend(SchemeIdDTO schemeIdDTO);

    JsonViewObject nextStep(CrossIdBO crossIdBO);

    JsonViewObject lockPhase(CrossIdAndPhaseIdsDTO crossIdAndPhaseIdsDTO);

    JsonViewObject allRedControl(CrossIdBO crossIdBO);

    JsonViewObject yellowLightControl(CrossIdBO crossIdBO);

    JsonViewObject restore(CrossIdAndPhaseIdsDTO crossIdAndPhaseIdsDTO);

    JsonViewObject syncScheme(CrossIdBO crossIdBO) throws Exception;

    PhaseListByTimeVO phaseListByTime(CrossIdAndTimeDTO crossIdAndTimeDTO);

    List<SaveSchemeConfigDTO.PhaseListElement> phaseListByTimeSingleRing(CrossIdAndTimeDTO crossIdAndTimeDTO);
}
